### Hierarchy

- EventTarget
  - WebSocket

## Index

### Properties

- CLOSED
- CLOSING
- CONNECTING
- EventTarget
- OPEN
- binaryType
- bufferedAmount
- extensions
- onclose
- onerror
- onmessage
- onopen
- protocol
- readyState
- url

### Methods

- addEventListener
- close
- dispatchEvent
- removeEventListener
- send

## Properties

### CLOSED

CLOSED: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16375

### CLOSING

CLOSING: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16376

### CONNECTING

CONNECTING: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16377

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### OPEN

OPEN: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16378

### binaryType

binaryType: BinaryType

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16363

### bufferedAmount

bufferedAmount: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16364

### extensions

extensions: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16365

### onclose

onclose: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16366

### onerror

onerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16367

### onmessage

onmessage: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16368

### onopen

onopen: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16369

### protocol

protocol: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16370

### readyState

readyState: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16371

### url

url: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16372

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16379

  #### Type parameters

  - #### K: keyof WebSocketEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: WebSocket, ev: WebSocketEventMap[K]): any

      - #### Parameters

        - ##### this: WebSocket

        - ##### ev: WebSocketEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16380

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### close

- close(code?: undefined | number, reason?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16373

  #### Parameters

  - ##### Optional code: undefined | number

  - ##### Optional reason: undefined | string

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16381

  #### Type parameters

  - #### K: keyof WebSocketEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: WebSocket, ev: WebSocketEventMap[K]): any

      - #### Parameters

        - ##### this: WebSocket

        - ##### ev: WebSocketEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16382

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### send

- send(data: string | ArrayBufferLike | Blob | ArrayBufferView): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16374

  #### Parameters

  - ##### data: string | ArrayBufferLike | Blob | ArrayBufferView

  #### Returns void

Generated using TypeDoc